<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:include="fragments/head :: head">
    <meta charset="UTF-8"/>
    <title>Edit Publisher</title>

</head>
<body class="black">
<!--/*@thymesVar id="publisher" type="com.pos_land.steam.domain.Publisher"*/-->
<div th:include="fragments/header :: header"></div>
<div th:include="fragments/modal :: modal"></div>

<div class="container-fluid">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h1>Edit Publisher</h1>
                </div>
            </div>
        </div>
    </div>
    <form th:object="${publisher}" method="post" th:action="@{/publisher/update/submit}">
        <div class="row">
            <div class="col-md-8 col-md-offset-2">
                <div>
                    <input type="hidden" th:field="*{id}"/>
                    <label>Name</label>
                    <input class="form-control" type="text" name="name" maxlength="300"
                           th:field="*{publisherName}"/>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-8 col-md-offset-2">
                <div>
                    <br/>
                    <label>Games</label>
                </div>
            </div>
            <div class="col-md-8 col-md-offset-2">
                <table class="table" id="gameTable">
                    <thead class="thead-inverse">
                    <tr>
                        <th class="col-md-1">ID</th>
                        <th class="col-md-4">Name</th>
                        <th class="col-md-2">Genre</th>
                        <th class="col-md-2">Release Date</th>
                        <th class="col-md-3">Options</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:each="game, iterStat : ${publisher.getGames()}" th:id="${iterStat.index}">
                        <td th:text="${game.getId()}" th:name="id"></td>
                        <td th:text="${game.getGameName()}" th:name="name"></td>
                        <td th:text="${game.getGenre()}" th:name="genre"></td>
                        <td th:text="${game.getReleaseDate()}" th:name="date"></td>
                        <td>
                            <a th:onclick="'javascript:hrefForDeletingElementAttribute(\'publisher\', ' + ${publisher.getId()} + ', ' + ${game.getId()} + ')'"
                                    class="btn btn-danger">Remove</a>
                            <a class="btn btn-warning" href="#"
                               th:href="@{'/game/' + ${game.getId()} + '/update'}">Edit Game</a>
                        </td>
                    </tr>
                    <tr>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td>
                            <select class="form-control" th:onchange="'changeAddLink(this.id, \'addGameButton\' , \'game\')'" id="selectBox">
                                <option disabled="disabled" selected="selected">Bitte wählen</option>
                                <option th:each="gameSelect : ${allGames}"
                                        th:text="${gameSelect.getGameName()}"
                                        th:value="${gameSelect.getId()}">
                                </option>
                            </select>
                        </td>
                        <td>
                            <a href="#" class="btn btn-success" id="addGameButton">
                                <span class="glyphicon glyphicon-plus"></span> Add Game</a>
                        </td>
                    </tr>

                    </tbody>
                </table>
            </div>
        </div>
        <div class="row">
            <br/>
            <div class="col-md-8 col-md-offset-2 container-popup">
                <input type="submit" class="btn btn-success" value="Confirm"/>
                <a th:href="@{'/../publishers'}" class="btn btn-danger">Cancel</a>
            </div>
        </div>
    </form>
</div>

<script src="../../static/js/changeAdd.js" th:src="@{/js/changeAdd.js}" type="text/javascript"></script>

<script src="../../static/js/remove.js" th:src="@{/js/remove.js}" type="text/javascript"></script>

</body>

<script src="../../static/js/popup.js" th:src="@{/js/popup.js}" type="text/javascript"></script>

</html>